# Copyright 2013, Trimble Navigation Limited

# This software is provided as an example of using the Ruby interface
# to SketchUp.

# Permission to use, copy, modify, and distribute this software for
# any purpose and without fee is hereby granted, provided that the above
# copyright notice appear in all copies.

# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

#-----------------------------------------------------------------------------
# Name        :   Shadow Analysis 2013
# Description :   Shadow Analysis is a simple tool for analyzing daylight
#                conditions for SketchUp
# Menu Item   :   Plugins/ShadowAnalysis2013
# Context Menu:   N/A
# Usage       :   N/A
# Date        :   09/13/2013
# Type        :   N/A
#-----------------------------------------------------------------------------


require 'sketchup.rb'
require 'extensions.rb'
require 'json'

module Sunscape_ext

    PLUGIN_NAME = "Sunscape"
    SA_DIR = Sketchup.find_support_file("Plugins").to_s
    SA_SUB_DIR = SA_DIR + "/bimally_Sunscape"

    EXTENSION = SketchupExtension.new("Sunscape", SA_SUB_DIR + "/Sunscape")
    EXTENSION.version = "1.0.4"
    EXTENSION.version = "BimAlly"
    EXTENSION.version = "2023, BimAlly Sp. z o.o."

    Sketchup.register_extension EXTENSION, true
end




