uniform mat4 p3d_ModelMatrix;

varying vec4 vPosition;
varying vec3 N;
varying vec3 v;

void main(void)  
{
    vPosition =  gl_Vertex;
    v = vec3(gl_ModelViewMatrix * gl_Vertex);
    N = normalize(p3d_ModelMatrix *  vec4( gl_Normal, 0.0)).xyz;
    gl_Position = gl_ModelViewProjectionMatrix * gl_Vertex;
}
