uniform vec4 color_ambient;
uniform vec3 light_source;

varying vec3 N;
varying vec3 v;    
void main (void)
{
    vec3 L = light_source;

    //calculate Ambient Term:
    vec4 Iamb =  vec4(0.1 + color_ambient.x, 0.1 + color_ambient.y, 0.1 + color_ambient.z, 1.0);

    //calculate Diffuse Term:
    vec4 Idiff = max(dot(N,L), 0.0);
    //Idiff = clamp(Idiff, 0.0, 1.0);

    gl_FragColor = gl_FrontLightModelProduct.sceneColor + Iamb + Idiff;
}