uniform vec4 color;

varying vec4 vPosition;
varying vec3 N;
varying vec3 v;
void main (void)
{
	gl_FragColor = vec4(color.x, color.y, color.z, 1.0);

    float alpha_use = 0.07; // upon second size
    float alpha_use_z = 1.9;  // below a_size

	if(vPosition.x > alpha_use || vPosition.y > alpha_use || vPosition.y < -alpha_use || vPosition.x < -alpha_use || vPosition.z > alpha_use_z || vPosition.z < 0.0 ){
	    gl_FragColor = vec4(color.x, color.y, color.z, 0.0);
	}

}